"""

    Copyright 2006 Mikko Ohtamaa
    
    Various helper functions

"""

# Python imports
import urllib
import types

# Zope imports

from AccessControl import ModuleSecurityInfo

# Plone imports
from Products.CMFCore.utils import getToolByName

security = ModuleSecurityInfo('Products.RTFExport.helpers')

security.declarePublic('quoteURL')
def quoteURL(url):
    """ Encodes a filename in URL safe manner
    
    Spaces are converted to %20, etc.    
    """
    return urllib.quote(url)
    
    

