## Script (Python) "export_rtf"
##title=Export object as an RTF document
##parameters=

from Products.RTFExport.helpers import quoteURL

from zLOG import LOG, INFO

REQUEST = context.REQUEST
RESPONSE = REQUEST.RESPONSE 

item_mime_type = "text/rtf"

#LOG('RTFExport', INFO, "export_rtf, context" + str(context))

# Your Archetypes item should declate generateRTF() method in its class
data = context.generateRTF()

RESPONSE.setHeader('content-type', item_mime_type)
RESPONSE.setHeader('content-length', str(len(data)))

# Use item title as a filename
# TODO: Not sure if quoteURL is proper way to mangle spaces in filename
# Seems to work for Opera/Firefox
RESPONSE.setHeader('content-disposition', 'attachment; filename=%s.rtf'
                                % quoteURL(context.Title()) )
                    
RESPONSE.write(data)



